﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;
using System.Data.Objects;
using NorthwindModel;
using Perseus;

namespace NorthwindService
{
     public class Service1 : IService1
    {
        public EntityBag<Customer> GetCustomerAndOrders()
        {
            using (var ctx = new NorthwindEntities()) 
            {
                var customer = ctx.Customers.Include("Orders").First();
                return ctx.CreateEntityBag<Customer>(customer);
            }
        }

        public void UpdateCustomer(EntityBag<Customer> bag)
        {
            using (var ctx = new NorthwindEntities())
            {
                bag.UnwrapInto(ctx);
                ctx.SaveChanges();
            }
        }
    }
}
